## rtpmux rtpmux — multiplex N rtp streams into one |

## Synopsis

                        GstRTPMux;

## Properties

      "seqnum"                   guint                 : Read
      "seqnum-offset"            gint                  : Read / Write
      "ssrc"                     guint                 : Read / Write
      "timestamp-offset"         gint                  : Read / Write

## Description

The rtp muxer takes multiple RTP streams having the same clock-rate and muxes into a single stream with a single SSRC.

## Details

### GstRTPMux

    typedef struct {
      GstElement element;

      /* pad */
      GstPad *srcpad;

      guint32 ts_base;
      guint16 seqnum_base;

      gint32 ts_offset;
      gint16 seqnum_offset;
      guint16 seqnum;               /* protected by object lock */
      guint ssrc;
      guint current_ssrc;

      gboolean segment_pending;
    } GstRTPMux;

The opaque GstRTPMux structure.

## Property Details

### The `"seqnum"` property

      "seqnum"                   guint                 : Read

The RTP sequence number of the last processed packet.

Default value: 0

### The `"seqnum-offset"` property

      "seqnum-offset"            gint                  : Read / Write

Offset to add to all outgoing seqnum (-1 = random).

Allowed values: >= G_MAXULONG

Default value: -1

### The `"ssrc"` property

      "ssrc"                     guint                 : Read / Write

The SSRC of the packets (-1 == random).

Default value: 4294967295

### The `"timestamp-offset"` property

      "timestamp-offset"         gint                  : Read / Write

Offset to add to all outgoing timestamps (-1 = random).

Allowed values: >= G_MAXULONG

Default value: -1